Skip to content

Voice Design ​

POST https://www.kkiai.com/minimax/v1/voice_design

Request Parameters ​

Header Parameters ​

Parameter NameTypeRequiredDescriptionExample
Content-TypestringOptionalapplication/json
AuthorizationstringOptionalBearer sk-JN5bs9an9L7hmCoBbKZ4HcB49mUM49CFP39VMcuh5pL6ebzK

Request Example ​

json
{
  "prompt": "A narrator for suspense stories, with a deep, magnetic voice.",
  "preview_text": "It was late at night, and he was alone in the old house. From outside the window came the faint sound of footsteps. He held his breath and slowly, very slowly, walked toward the creaking door...",
  "voice_id": "yssj00043333",
  "aigc_watermark": false
}

cURL Example ​

bash
curl --location --request POST 'https://www.kkiai.com/minimax/v1/voice_design' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "prompt": "A narrator for suspense stories, with a deep, magnetic voice.",
  "preview_text": "It was late at night, and he was alone in the old house. From outside the window came the faint sound of footsteps. He held his breath and slowly, very slowly, walked toward the creaking door...",
  "voice_id": "yssj00043333",
  "aigc_watermark": false
}'

Response ​

🟢 200 Success

Response Example ​

json
{}